cabal- won't build with ghc-6.6.1 in WinXP

Alistair Bayley alistair at
Thu Jan 22 06:56:08 EST 2009

I'm trying to build cabal- with ghc-6.6.1 on WinXP. "setup -v
configure" fails with this output:

Configuring Cabal-
Flags chosen: base3=False, base4=False
Dependency base <3: using base-2.1.1
Dependency filepath >=1 && <1.2: using filepath-1.0
Using Cabal-0 compiled by ghc-6.6
Using compiler: ghc-6.6.1
Using install prefix: C:\Program Files\Haskell
Binaries installed in: C:\Program Files\Haskell\bin
Libraries installed in: C:\Program Files\Haskell\Cabal-\ghc-6.6.1
Private binaries installed in: C:\Program Files\Haskell\Cabal-
Data files installed in: C:\Program Files\Haskell\Cabal-
Documentation installed in: C:\Program Files\Haskell\doc\Cabal-
No alex found
Using ar found on system at: c:\ghc\ghc-6.6.1\bin\ar.exe
No c2hs found
No cpphs found
No ffihugs found
Using gcc version 3.4.2 found on system at: c:\ghc\ghc-6.6.1\gcc.exe
Using ghc version 6.6.1 found on system at: c:\ghc\ghc-6.6.1\bin\ghc.exe
Using ghc-pkg version 6.6.1 found on system at:
No greencard found
No haddock found
No happy found
No hmake found
Using hsc2hs version 0.66 found on system at: c:\ghc\ghc-6.6.1\bin\hsc2hs.exe
No hscolour found
No hugs found
No jhc found
Using ld found on system at: c:\ghc\ghc-6.6.1\gcc-lib\ld.exe
No nhc98 found
No pkg-config found
No ranlib found
No strip found
No tar found
setup: fdGetMode: invalid argument (Invalid argument)

Any clues as to what might be wrong? There are no buildinfo files
produced, so I can't just ignore and proceed with setup build.


More information about the cabal-devel mailing list